Subject: bug#29824: Meson 0.44.0 is broken with guix.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 09 Jan 2018 13:46:23 +0100

Hi Hartmut,

Hartmut Goebel <[email-masked]> skribis:

> We need to have a look at the whole `detect_meson_py_location()`, not
> only on lines 47 to 51.
>
> detect_meson_py_location() assumes the executable to be called "meson"
> or "meson.py", but in guix it currently is called ".meson-real" (see teh
> first entry in the trace-back).
>
> The solution would be to get rid of the wrapper-scripts, see
> <https://lists.gnu.org/archive/html/guix-devel/2017-11/msg00041.html>
>
> A work-around would be to substitute in file mesonbuild/mesonlib.py
>
> meson_command = python_command + [detect_meson_py_location()]
>
> by
>
> meson_command = python_command + ["$OUT/bin/meson"]

Sounds reasonable.  Does it work for you?  If so, could you provide a
patch?

Ludo’.